<UserControl xmlns="https://github.com/avaloniaui"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:icon="https://github.com/projektanker/icons.avalonia"
             xmlns:tsVm="clr-namespace:UBA.DataExplorer.UI.ViewModels.TimeSeries"
             xmlns:timeSeries="clr-namespace:UBA.DataExplorer.UI.Views.TimeSeries"
             mc:Ignorable="d" d:DesignWidth="800" d:DesignHeight="450"
             x:Class="UBA.DataExplorer.UI.Views.TimeSeries.TimeSeriesTreeView"
             x:DataType="tsVm:TimeSeriesTreeViewModel">

  <Design.DataContext>
    <!-- This only sets the DataContext for the previewer in an IDE,
         to set the actual DataContext for runtime, set the DataContext property in code (look at App.axaml.cs) -->
    <tsVm:TimeSeriesTreeViewModel />
  </Design.DataContext>

  <Interaction.Behaviors>
    <EventTriggerBehavior EventName="Loaded">
      <InvokeCommandAction Command="{Binding LoadDataOnStartUpCommand}"/>
    </EventTriggerBehavior>
  </Interaction.Behaviors>

  <Grid>
    <Grid.RowDefinitions>
      <RowDefinition Height="Auto"/>
      <RowDefinition Height="Auto"/>
      <RowDefinition Height="*"/>
    </Grid.RowDefinitions>

    <timeSeries:TimeSeriesViewsRibbonView DataContext="{Binding RibbonViewModel}" Height="150"/>
    <ProgressBar Grid.Row="1" DockPanel.Dock="Top" IsIndeterminate="True" IsVisible="{Binding IsLoading}"/>

    <DockPanel  Grid.Row="2" LastChildFill="True">
      <TreeDataGrid Name="TimeSeriesViewGrid" Source="{Binding TreeSource}">
        <TreeDataGrid.Resources>
          <DataTemplate x:Key="LabelColumn" x:DataType="tsVm:TimeSeriesViewTreeViewModel">
            <StackPanel Orientation="Horizontal">
              <icon:Icon Value="fa-solid fa-folder" Margin="10 5" IsVisible="{Binding !IsLeaf}"/>
              <icon:Icon Value="fa-solid fa-chart-line" Margin="10 5" IsVisible="{Binding IsLeaf}"/>
              <TextBlock Text="{Binding Label}" VerticalAlignment="Center"/>
            </StackPanel>
          </DataTemplate>
        </TreeDataGrid.Resources>
      </TreeDataGrid>
    </DockPanel>
  </Grid>
</UserControl>
